diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index e7a3e92bc20..726494bd98d 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -459,6 +459,7 @@ set_rel_size(PlannerInfo *root, RelOptInfo *rel,
 	/*
 	 * We insist that all non-dummy rels have a nonzero rowcount estimate.
 	 */
+elog(INFO, "rel->rows: %f", rel->rows);
 	Assert(rel->rows > 0 || IS_DUMMY_REL(rel));
 }
 
diff --git a/src/backend/optimizer/path/costsize.c b/src/backend/optimizer/path/costsize.c
index ffd2bf87834..3213522d5bc 100644
--- a/src/backend/optimizer/path/costsize.c
+++ b/src/backend/optimizer/path/costsize.c
@@ -4658,6 +4658,7 @@ set_baserel_size_estimates(PlannerInfo *root, RelOptInfo *rel)
 							   NULL);
 
 	rel->rows = clamp_row_est(nrows);
+elog(INFO, "rel->rows: %f; nrows: %f", rel->rows, nrows);
 
 	cost_qual_eval(&rel->baserestrictcost, rel->baserestrictinfo, root);
 
diff --git a/src/backend/utils/adt/like_support.c b/src/backend/utils/adt/like_support.c
index bcfbaa1c3d1..aeb3a768692 100644
--- a/src/backend/utils/adt/like_support.c
+++ b/src/backend/utils/adt/like_support.c
@@ -1443,8 +1443,10 @@ regex_selectivity(const char *patt, int pattlen, bool case_insensitive,
 	}
 
 	/* If there's a fixed prefix, discount its selectivity */
+elog(INFO, "sel: %0.400f, FIXED_CHAR_SEL: %f, fixed_prefix_len: %d, pow: %0.400f", sel, FIXED_CHAR_SEL, fixed_prefix_len, pow(FIXED_CHAR_SEL, fixed_prefix_len));
 	if (fixed_prefix_len > 0)
 		sel /= pow(FIXED_CHAR_SEL, fixed_prefix_len);
+elog(INFO, "sel: %f", sel);
 
 	/* Make sure result stays in range */
 	CLAMP_PROBABILITY(sel);
